package com.doc.biz.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.doc.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 文件基本信息表对象 doc_info
 *
 * @author wukai
 * @date 2023-08-21
 */
@Data
@ApiModel(value = "DocInfo", description = "文件基本信息表")
public class DocInfo extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 文件ID
     */
    @ApiModelProperty("文件ID")
    @TableId
    private Long docId;

    /**
     * 空间ID
     */
    @ApiModelProperty("空间ID")
    private Long spaceId;

    /**
     * 目录ID
     */
    @ApiModelProperty("目录ID")
    private Long dirId;

    /**
     * 文件名称
     */
    @ApiModelProperty("文件名称")
    private String fileName;

    /**
     * 文件ID
     */
    @ApiModelProperty("文件ID")
    private String fileId;

    /**
     * 文件大小
     */
    @ApiModelProperty("文件大小")
    private Long fileSize;

    /**
     * 文件类型
     */
    @ApiModelProperty("文件类型")
    private String fileType;
}
